[MIR] double-conversion

Bug #1427677 reported by Timo Jyrinki
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
double-conversion (Ubuntu)
Undecided
Unassigned

Bug Description

Availability: In universe, builds for all archs.

Rationale: Qt Declarative uses libdouble-conversion, but currently it's using the version embedded in its own sources. Qt 5.4.1 in Debian patches Qt Declarative to use system version instead, and it'd come to Ubuntu as part of 5.4.1 as well, Qt 5.4.1 FFe is bug #1427560.

Security: No known security history. No executables, daemons, services.

Quality assurance: No bugs open in Ubuntu. Two bugs in Debian, one about m68k support and one about installing .cmake files. The latest version is part of Ubuntu 14.04 LTS and upcoming Debian release.

Dependencies: All build dependencies are in main.

Standard compliance: Packaging seems compliant.

Maintenance: Owned by Debian Science Team.

tags: added: qt5.4
Revision history for this message
Michael Terry (mterry) wrote :

Looks good, just needs a team bug subscriber for whichever team is going to look after it in Ubuntu.

I'd also like to see a .symbols file, but it's not a blocker.

Changed in double-conversion (Ubuntu):
status: New → Incomplete
Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

ubuntu-qt-packagers subscribed. I'd like to not introduce Ubuntu delta, but I filed a wishlist bug to the Debian package about adding it.

Changed in double-conversion (Ubuntu):
status: Incomplete → New
Revision history for this message
Michael Terry (mterry) wrote :

Thanks, that's perfect. Not worth a delta, agreed.

Changed in double-conversion (Ubuntu):
status: New → Fix Committed
Changed in double-conversion (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers